Subject: Re: [PATCH v3 00/43] guix: node-build-system: Support compiling add-ons with node-gyp.

From: Pierre Langlois <[email-masked]>
Date: Sun, 12 Dec 2021 16:36:46 +0000

Pierre Langlois <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> Hi Philip,
>
> Philip McGrath <[email-masked]> writes:
>
>> Hi!
>>
>> Here is a v3 of this patch series, hopefully incorporating all of the
>> suggestions. In particular, as Timothy suggested
>> in <https://issues.guix.gnu.org/51838#59>, I've tried to make sure the earlier
>> patches, at least through #:absent-dependencies, are able to be applied even
>> if there is more discussion needed on the later patches.
>>
>> As I mentioned in <https://issues.guix.gnu.org/51838#64>, while experimenting
>> with v2 of this series, I discovered an issue with the install script
>> automatically generated by npm. Patch 21 ``guix: node-build-system: Add
>> avoid-node-gyp-rebuild phase.'' fixed the issue: I explain the details in
>> comments there.
>>
>> This series also adds two additional leaf packages, `node-segfault-handler'
>> and `node-serialport', that confirm these patches can support additional
>> styles of native addons. In particular, because the native addon for
>> `node-serialport' is actually in one of the intermediate packages,
>> `node-serialport-bindings', it serves as a test case for the new
>> `avoid-node-gyp-rebuild' phase.
>>
>> I've also put these patches up
>> at <https://gitlab.com/philip1/guix-patches/-/tree/guix-issue-51838-v3>,
>> if anyone finds that useful.
>
> Thanks for working on this! I've tested the series and rebased my own
> work on top locally, it's working for me so feel free to add:
>
> Tested-by: Pierre Langlois <[email-masked]>
>
> The series looks good to me overall, I'll add comments in each patch.

OK, I'm done with my round of comments :-)

I'm not a maintainer but I do have commit access, so I can volonteer to
push this on your behalf if maintainers are happy with the series.
Hopefully with some of my suggestions incorporated if you agree with
them.

Thanks,
Pierre